%global _version %( echo %{version} | tr . _ )
Name:                codegen
Version:             0.6.8
Release:             3
Summary:             Java/Scala Code generation tool
License:             ASL 2.0
URL:                 https://github.com/querydsl/codegen/
Source0:             https://github.com/querydsl/codegen/archive/CODEGEN_0_6_8.tar.gz
BuildRequires:       maven-local mvn(com.google.guava:guava) mvn(javax.validation:validation-api)
BuildRequires:       mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.eclipse.jdt.core.compiler:ecj)
BuildArch:           noarch

%description
Code generation and compilation for Java.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-CODEGEN_%{_version}
%pom_remove_parent
%pom_remove_plugin com.springsource.bundlor:com.springsource.bundlor.maven
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<configuration>
 <instructions>
  <Bundle-Name>Codegen</Bundle-Name>
  <Bundle-SymbolicName>com.mysema.codegen</Bundle-SymbolicName>
  <Bundle-Vendor>Mysema</Bundle-Vendor>
  <Export-Package>com.mysema.codegen*;version="${project.version}"</Export-Package>
  <Import-Package>
    javax.annotation.*;version="0",
    javax.tools.*;version="0",
    org.eclipse.jdt.*;version="3.7.2",
    com.google.common.*;version="${guava.version}",
    *
  </Import-Package>
 </instructions>
</configuration>
<executions>
 <execution>
  <id>bundle-manifest</id>
  <phase>process-classes</phase>
  <goals>
    <goal>manifest</goal>
  </goals>
 </execution>
</executions>'
%pom_xpath_remove "pom:useDefaultManifestFile"
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration" '
<archive>
 <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
</archive>'
sed -i.javax.validation "s|ConstraintPayload|Payload|" \
 src/test/java/com/mysema/codegen/MaxImpl.java \
 src/test/java/com/mysema/codegen/MinImpl.java \
 src/test/java/com/mysema/codegen/NotNullImpl.java
sed -i.ecj4.6 "s|Map<String, Object> settings|Map<String, String> settings|" \
 src/main/java/com/mysema/codegen/ECJEvaluatorFactory.java

%mvn_file com.mysema.codegen:%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Dec 16 2020 liuweibo <liuweibo10@huawei.com> - 0.6.8-3
- Modify URL

* Mon Sep 14 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 0.6.8-2
- Modify source

* Fri Aug 14 2020 leiju <leiju4@huawei.com> - 0.6.8-1
- Package init
